--Animations functions
fn scaleMuneBones breastSliderValue = 
(
    local muneR = getNodeByName "j_mune_r"
    local muneL = getNodeByName "j_mune_l"  

    local xscale = 0.920 + (breastSliderValue/100.0) * 0.160    
    local yscale = 0.816 + (breastSliderValue/100.0) * 0.368    
    local zscale = 0.800 + (breastSliderValue/100.0) * 0.400   

    try(
        muneR.scale = [xscale, yscale, zscale]
        muneL.scale = [xscale, yscale, zscale]
        redrawViews()
    )
    catch(
        print("No Mune bones found.")
    )	
)

fn loadAnimation animationFile frames = 
(
    if(LoadSaveAnimation.loadAnimation ("$scripts\Resources\\" + animationFile) objects) then 
    (
        animationRange = interval 0 frames
        if(getNodeByName "upaxis" != undefined) do ResetXForm $n_root        							
    )
    else messageBox "Could not locate xaf files, please make sure they're in the correct folder." title:"Failed to load animation" beep:false
)

--Animations UI code
if(getINISetting "$scripts\Resources\Settings.ini" "UI Mode" "WideUI" as BooleanClass) then --Wide UI
(
    rollout animation "Animation Tool"
    (

        radiobuttons animations "Animations for:" labels:#("Female", "Male") across:2
        label boobslider "Bust Size:" 

        button movement "Load Walk/Run" width:100 across:2
        slider munescale range:[0,200,50] type:#integer offset:[5,-20]

        button idle "Load Idle Poses" width:100 across:3 offset:[17,0]
        spinner setSlider "Value:" range:[0,200,50] type:#integer offset:[28,-8]
        button resetSlider "Reset Slider" width:65 offset:[19,-11]

        button sit "Load Sit Poses" width:100 offset:[-66,0]     
        
        on resetSlider pressed do
        (
            scaleMuneBones 50	
            munescale.value = 50
            setSlider.value = 50		
        )	

        on munescale changed val do 
        (
            scaleMuneBones val
            setSlider.value = val
        )

        on setSlider changed val do 
        (
            scaleMuneBones val
            munescale.value = val
        )

        on movement pressed do
        (				
            if(animations.state == 1) do loadAnimation "MovementF.xaf" 80
            if(animations.state == 2) do loadAnimation "MovementM.xaf" 80
        )

        on idle pressed do 
        (			
            if(animations.state == 1) do loadAnimation "IdleF.xaf" 180
            if(animations.state == 2) do loadAnimation "IdleM.xaf" 180
        )

        on sit pressed do
        (				
            if(animations.state == 1) do loadAnimation "SitF.xaf" 105	
            if(animations.state == 2) do loadAnimation "SitM.xaf" 105	
        )
    )
) else ( --Thin UI
    rollout animation "Animation Tool"
    (		
        group "Animations"
        (
            radiobuttons animations "Animations for:" labels:#("Female", "Male") 
            button movement "Load Walk/Run" width:100
            button idle "Load Idle Poses" width:100
            button sit "Load Sit Poses" width:100			
        )	
        group "Bust Size"
        (
            slider munescale range:[0,200,50] type:#integer offset:[6,0]
            button resetSlider "Reset Slider" width:100
            spinner setSlider "Value:" range:[0,200,50] type:#integer align:#center
        )	

        on resetSlider pressed do
        (
            scaleMuneBones 50	
            munescale.value = 50
            setSlider.value = 50		
        )	

        on munescale changed val do 
        (
            scaleMuneBones val
            setSlider.value = val
        )

        on setSlider changed val do 
        (
            scaleMuneBones val
            munescale.value = val
        )

        on movement pressed do
        (				
            if(animations.state == 1) do loadAnimation "MovementF.xaf" 80
            if(animations.state == 2) do loadAnimation "MovementM.xaf" 80
        )

        on idle pressed do 
        (			
            if(animations.state == 1) do loadAnimation "IdleF.xaf" 180
            if(animations.state == 2) do loadAnimation "IdleM.xaf" 240
        )

        on sit pressed do
        (				
            if(animations.state == 1) do loadAnimation "SitF.xaf" 105	
            if(animations.state == 2) do loadAnimation "SitM.xaf" 250	
        )
    )    
)