--Backfaces functions
fn createBackface = 
(
    max modify mode
    local proceed = true
    local selection = getCurrentSelection()
    local count = 0
    
    if (selection.count != 1) or (subObjectLevel < 4) do 
    (
        proceed = false
        print (classof selection[1])
        throw("Please select only one mesh and make sure you have faces selected.")
    )
    
    case (classof $) of
    (
        Editable_Poly:
        (
            if((polyOp.getFaceSelection $).isEmpty) do
            (
                proceed = false
                throw("No faces selected.")						
            )
        )
        Editable_Mesh:
        (
            if((getFaceSelection $).isEmpty) do 
            (
                proceed = false
                throw("No faces selected.")					
            )
        )
        default:
        (
            proceed = false
            throw("No Editable Mesh or Poly found.")
        )		
    )
    
    for o in objects where (isProperty o #skin) and o.parent == selection[1].parent do 
    (
        count += 1
    )
    
    if proceed do
    (
        maxOps.cloneNodes selection cloneType:#copy newNodes:&newCopy #nodialog
        select newCopy
        
        newCopy.name = case $.parent.name of
        (
            "Group_0": "backface_0." + count as string
            "Group_1": "backface_1." + count as string
            "Group_2": "backface_2." + count as string
            "Group_3": "backface_3." + count as string
        )

        modPanel.setCurrentObject $.baseObject
        subObjectLevel = 4	
        
        case (classof $) of
        (
            Editable_Poly:
            (
                polyOp.setFaceSelection $ -(polyOp.getFaceSelection $)
                polyOp.deleteFaces $ (polyOp.getFaceSelection $)
                polyOp.flipNormals $ #all	
            )					
            Editable_Mesh:
            (				
                if((getFaceSelection $).isEmpty) do 
                (
                    throw("No faces selected.")
                    return false
                )
                
                setFaceSelection $ -(getFaceSelection $)
                meshOp.deleteFaces $ (getFaceSelection $)
                meshOp.flipNormals $ #all
                addModifier $ (edit_normals()) before:$.modifiers.count
                modPanel.setCurrentObject $.modifiers[#Edit_Normals]
                subObjectLevel = 1
                numNormals = $.Edit_Normals.GetNumNormals node:$
                $.Edit_Normals.Unify selection:#{1..numNormals} node:$ toAverage:false
                maxOps.CollapseNodeTo $ $.modifiers.count false
            )					
        )			
        subObjectLevel = 0		
    )		
)